> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List blog topics

> List all blog topics. Supports paging and filtering. Some parameters support "range" filters via double-underscored param suffixes, like `__gt`. If a parameter supports a filter type of 'gt', that means you can append a double-underscore and 'gt' to the parameter name to find all items greater than a specified value.



## OpenAPI

````yaml specs/legacy/v3/blog-topics-v3.json GET /blogs/v3/topics
openapi: 3.0.1
info:
  title: HubSpot Blog Topics API v3
  description: >-
    Use the blog topics API to create and manage blog topics in a HubSpot
    account.
  version: v3
  x-hubspot-product-tier: Marketing Hub
  x-hubspot-documentation-banner: Content API
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blog Topics
    description: Blog topics operations
paths:
  /blogs/v3/topics:
    get:
      tags:
        - Blog Topics
      summary: List blog topics
      description: >-
        List all blog topics. Supports paging and filtering. Some parameters
        support "range" filters via double-underscored param suffixes, like
        `__gt`. If a parameter supports a filter type of 'gt', that means you
        can append a double-underscore and 'gt' to the parameter name to find
        all items greater than a specified value.
      operationId: listBlogTopics
      parameters:
        - name: id
          in: query
          description: >-
            Search for topics by id. Supports exact value matching and the 'in'
            range filter (e.g. `id__in=348109009,348109019`)
          schema:
            type: string
        - name: name
          in: query
          description: >-
            Search for topics by name. Supports exact value matching, 'contains'
            searching, and 'icontains' case-insensitive searching (e.g.
            `name__contains=topic1`)
          schema:
            type: string
        - name: slug
          in: query
          description: Search for topics by slug. Supports exact value matching
          schema:
            type: string
        - name: created
          in: query
          description: >-
            Filter results by creation date, in milliseconds since the epoch.
            Supports exact value matching and the following range filters:
            range, gt, gte, lt, lte
          schema:
            type: integer
            format: int64
        - name: limit
          in: query
          description: The maximum number of items to return. Defaults to 20.
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: >-
            The offset from the beginning of the result set from which to start
            returning results. Used for paging. Defaults to 0.
          schema:
            type: integer
            default: 0
        - name: casing
          in: query
          description: >-
            Use the casing=snake parameter to change the API's casing for all
            query parameters (including those above) and JSON fields (below) to
            snake_case, rather than camelCase, which is the default. This option
            is provided for backwards-compatibility and ease of migration from
            Content v2 APIs, which used snake_case.
          schema:
            type: string
            enum:
              - snake
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlogTopicListResponse'
              example:
                objects:
                  - id: 349001328
                    portalId: 62515
                    name: api-docs
                    slug: api-docs
                    description: ''
                    created: 1381896200000
                    updated: 1381896200000
                    deletedAt: 0
                  - id: 447332568
                    portalId: 62515
                    name: Test Topic 20140110160733
                    slug: test-topic-20140110160733
                    description: ''
                    created: 1389388053000
                    updated: 1389388053000
                    deletedAt: 0
                  - id: 450113517
                    portalId: 62515
                    name: Test
                    slug: test
                    description: ''
                    created: 1389387669000
                    updated: 1389387669000
                    deletedAt: 0
                message: null
                total: 3
                limit: 1000
                offset: 0
        default:
          $ref: '#/components/responses/Error'
      security:
        - oauth2_legacy:
            - content
        - private_apps_legacy:
            - content
components:
  schemas:
    BlogTopicListResponse:
      type: object
      properties:
        objects:
          type: array
          items:
            $ref: '#/components/schemas/BlogTopic'
        message:
          type: string
          nullable: true
        total:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
    BlogTopic:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The unique id of the topic
        portalId:
          type: integer
          description: The hub id
        name:
          type: string
          description: The topic name
        slug:
          type: string
          description: The URL-friendly version of the topic, used in blog urls
        description:
          type: string
          description: The topic description
        created:
          type: integer
          format: int64
          description: When the topic was first created, in milliseconds since the epoch
        updated:
          type: integer
          format: int64
          description: When the topic was last updated, in milliseconds since the epoch
        deletedAt:
          type: integer
          format: int64
          description: >-
            When the topic was deleted, in milliseconds since the epoch. Zero if
            the topic was never deleted. Use a DELETE request to properly soft
            delete a topic - do not set this value directly.
        totalPosts:
          type: integer
          nullable: true
          description: >-
            The total count of posts (including drafts) associated with this
            topic.
        livePosts:
          type: integer
          nullable: true
          description: The total count of published posts associated with this topic.
        lastUsed:
          type: integer
          format: int64
          nullable: true
          description: >-
            The most recent publish date of a blog post associated with this
            topic, in milliseconds since the epoch.
        associatedBlogIds:
          type: array
          items:
            type: integer
          description: A list of the blog IDs where this topic has been used.
        publicUrl:
          type: string
          nullable: true
          description: The public URL for the topic
        status:
          type: string
          description: The status of the topic
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
        category:
          type: string
          description: The error category
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
  responses:
    Error:
      description: An error occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2_legacy:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            content: Read from and write to my Content
    private_apps_legacy:
      type: apiKey
      name: private-app-legacy
      in: header

````